<html>
    <section th:fragment="navigation">
        <ul>
            <li th:each="navigationItem : ${navigationItems}">
				<div th:if="${info.context != null}">
					<a th:text="*{navigationItem.name}" th:href="*{'/item/' + info.context + '/' + navigationItem.itemUri}">Item</a>
				 </div>
				 <div th:unless="${info.context != null}">
					<a th:text="*{navigationItem.name}" th:href="*{'/item/' + navigationItem.itemUri}">Item</a>
				 </div>
                <section th:insert="@{/navigationFragment} :: navigation" th:with="navigationItems=${navigationItem.children}, info=${itemInfo}"></section>
            </li>
        </ul>
    </section>
</html>